<?php 
error_reporting(0);
ini_set(“display_errors”, 0 );

function geraTimestamp($data) {
	$partes = explode('-', $data);
	$tratada = $partes[2].'-'.$partes[1].'-'.$partes[0];
	return $tratada;
}

function busca_antecipar($idvenda, $qtd_antecipar){
	include "conexao.php";
	$query = "SELECT idparcelas FROM parcelas where venda_idvenda = $idvenda AND tipo_venda = 2 AND descricao = 'Parcela Financiamento' and fluxo = 0 and situacao = 'Em aberto' order by idparcelas desc limit $qtd_antecipar";
	$executa_query = mysqli_query($db, $query);
	while ($buscar_amigo = mysqli_fetch_assoc($executa_query)){
		$idparcelas = $buscar_amigo["idparcelas"];
		$dados[] = $idparcelas;
	}
	return $dados;
}

function busca_primeira($idvenda){
	include "conexao.php";
	$query = "SELECT data_vencimento_parcela FROM parcelas where venda_idvenda = $idvenda AND tipo_venda = 2 AND descricao = 'Parcela Financiamento' and fluxo = 0 order by idparcelas ASC limit 1";
	$executa_query = mysqli_query($db, $query);
	while ($buscar_amigo = mysqli_fetch_assoc($executa_query)){
		$data_vencimento_parcela = $buscar_amigo["data_vencimento_parcela"];
	}
	return $data_vencimento_parcela;
}

function valor_convertido($id, $idvenda, $tipo, $data_final){
	date_default_timezone_set('America/Sao_Paulo');
	include "conexao.php";

	if($data_final == ''){
		$hoje = date('Y-m-d');
	}else{
		$hoje = $data_final;
	}


	$query_amigo = "SELECT venda_idvenda,descricao, data_vencimento_parcela, valor_parcelas FROM parcelas where idparcelas = $id";
	$executa_query = mysqli_query ($db,$query_amigo);
	while ($buscar_amigo = mysqli_fetch_assoc($executa_query))
	{
		$data_vencimento_parcela  = $buscar_amigo["data_vencimento_parcela"];
		$valor_parcelas           = $buscar_amigo["valor_parcelas"];
		$descricao                = $buscar_amigo["descricao"];
		$venda_idvenda            = $buscar_amigo["venda_idvenda"];
	}

	$busca_primeira = busca_primeira($venda_idvenda);
	$busca_primeira = geraTimestamp($busca_primeira);
	$carencia = strtotime($busca_primeira) - strtotime($hoje);

	if($carencia > 0){
		$time_inicial = $busca_primeira;
	}else{
		$time_inicial = $hoje;
	}

	$time_final_tratar = geraTimestamp($data_vencimento_parcela);
	$time_final = $time_final_tratar;
	$diferenca = strtotime($time_final) - strtotime($time_inicial); 

	if($diferenca >= 0){
		if($descricao == 'Parcela Financiamento'){
			$divt = ($diferenca / (60 * 60 * 24 * 30)); // 225 dias
			$juros = valor_taxa($idvenda, $tipo) /100 +1;
			$potencia = pow($juros,$divt);
			$valor_convertido = $valor_parcelas / $potencia;
		}else{
			$valor_convertido = $valor_parcelas;
		}

		if($diferenca == 0){
			$valor_convertido = $valor_parcelas;
		}
	}else{
		$diferenca2 = strtotime($hoje) - strtotime($time_final); 
		$dias2 = ( $diferenca2 / (60 * 60 * 24)); // 225 dias
		$multa2 = ($valor_parcelas * (2/100));
		$juros2 = ($valor_parcelas * (0.033/100) * $dias2);
		$valor_convertido = $valor_parcelas + $multa2 + $juros2;
	}
	if($descricao != 'Parcela Financiamento'){
		$valor_convertido = $valor_parcelas;
	}
	return $valor_convertido;
}

function valor_taxa($idvenda, $tipo_venda){
	include "conexao.php";
	$query_amigo = "SELECT taxa_financiamento FROM venda where idvenda = $idvenda";
	$executa_query = mysqli_query ($db,$query_amigo);

	while ($buscar_amigo = mysqli_fetch_assoc($executa_query))
	{
		$taxa_financiamento           = $buscar_amigo["taxa_financiamento"];
	}
	return $taxa_financiamento;
}

function valor($id){
	include "conexao.php";
	$query_amigo = "SELECT empreendimento_id_novo, cliente_id_novo FROM parcelas where idparcelas = $id";
	$executa_query = mysqli_query ($db,$query_amigo);

	while ($buscar_amigo = mysqli_fetch_assoc($executa_query))
	{
		$empreendimento_id_novo    = $buscar_amigo["empreendimento_id_novo"];
		$cliente_id_novo           = $buscar_amigo["cliente_id_novo"];
		$dados["empreendimento_id_novo"] = $empreendimento_id_novo;
		$dados["cliente_id_novo"]        = $cliente_id_novo;
	}
	return $dados;
}

function data_vencimento_parcela($id){
	include "conexao.php";
	$query_amigo = "SELECT data_vencimento_parcela FROM parcelas where idparcelas = $id";
	$executa_query = mysqli_query ($db,$query_amigo);

	while ($buscar_amigo = mysqli_fetch_assoc($executa_query))
	{
		$data_vencimento_parcela           = $buscar_amigo["data_vencimento_parcela"];
	}
	return $data_vencimento_parcela;
}


$idvenda = $_POST["idvenda"]; 
$tipo    = 2;

// $antecipar = $_POST["antecipar"];
$cont = 0;
$qtd_antecipar = $_POST["qtd_antecipar"];
$data_pagamento = $_POST['datefinal'];
$antecipar = busca_antecipar($idvenda, $qtd_antecipar);

// echo "<pre>";
// var_dump($_POST);
// echo "</pre>";


$dados = array();
foreach($antecipar as $id){
	$valor_convertido = valor_convertido($id, $idvenda, $tipo, $data_pagamento);
	$cont = $cont + $valor_convertido;
// if(count($dados) == 0){
//   $dados['idparcela'] = $id;
// }else{
	$dados['idparcela'][] = $id;
// }
//        $cont = number_format(2,",",$cont);
}

$dados['valor'] = $cont;
echo json_encode($dados);
?>
